function trvlin(n)
% Solves the initial value problem y'=Ay, y(0)=y0 up to the end point T
% with the explicit Taylor series method and constant stepsize h=T/N
% and plots the development of the relative error in the iterations Norm
%
% Input: n: indexes of the observed method as row vector
%
% Output: none
%
% Example call-up:
% trvlin(1:5)

% initialisation
A =  ;
y0 = [1; 1] / sqrt(2);
T = 1;
N = 20;
h = T / N;

% save initial value's norm
norm_y0 = norm(y0);

% preallocate storage space
Y = repmat(y0, 1, length(n));
error = zeros(N, length(n));

% loop over steps
for k = 1:N
	
	% loop over methods
	for i = 1:length(n)
		
		% compute next iteration
		Y(:, i) = taylorstep( ,  ,  ,  );
		
		% compute relative error in norm
		error(k, i) = ;
     
	end
end

% plot solutions
figure
semilogy(1:N, error, 'Linewidth', 2.0)

% label plot
xlabel('Iterations')
ylabel('$\vert \Vert y_k \Vert_2 - \Vert y_0 \Vert_2 \vert / \Vert y_0 \Vert_2$', 'Interpreter', 'latex', 'Fontsize', 12)
labels = cell(length(n), 1);
for i = 1:length(n)
	
	labels{i} = sprintf('Taylor series method n=%u', n(i));
end
legend(labels, 'Location', 'BestOutside')

function y = taylorstep(y, A, h, j)
% Completes a step of the Taylor series method Psi_j for the
% linear diff equation y'=Ay.
%
% input:   y: current iteration,
%          A: matrix in differential equation,
%          h: stepsize,
%          j: index of applied method.
%
% output : y: next iteration
%
% example call-up:
% y = taylorstep([1; 1]/sqrt(2), [0, -1; 1, 0], 1/20, 1)

z = y;
for i = 1:j
	
	z =  ;
	y =  ;
end